Skip to content
Skip to main content
DELETE
https://api.us.nylas.com/v3/grants/{grant_id}/notetakers/{notetaker_id}

Delete a Notetaker

Permanently deletes the specified Notetaker and all associated data, including any recordings, transcripts, thumbnails, summaries, and action items. This works regardless of the Notetaker's current state — scheduled, active, or completed. This is a hard delete and cannot be undone. Once deleted, Nylas cannot recover the Notetaker or any of its data.

Works with an API key or an IAM API key with the notetakers.delete permission.

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

notetaker_id*string

ID of the Notetaker bot to access.

Example: "71c807752c744ad0902f64d43e6cc399"

Responses

request_idstring

The ID of the request.

Example: "5fa64c92-e840-4357-86b9-2aa364d35b88"
DELETEhttps://api.us.nylas.com/v3/grants/nyla%40example.com/notetakers/71c807752c744ad0902f64d43e6cc399

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

notetaker_idrequiredstring

ID of the Notetaker bot to access.